import { createRouter, createWebHistory } from 'vue-router'
import ProfileSettings from "@/views/ProfileSettings.vue";
import MissingPage from "@/views/MissingPage.vue";
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'
import SelectProfileView from '../views/SelectProfileView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/login',
      name: 'login',
      component: LoginView
    },
    {
      path: '/selectProfile',
      name: "selectProfile",
      component: SelectProfileView
    },
    {
      path: '/profileSettings',
      name: 'profileSettings',
      component: ProfileSettings
    },
    {
      path: '/:catchAll(.*)',
      name: "404 Page not found" ,
      component: MissingPage }

  ]
})

export default router
