import { describe, it, expect } from 'vitest'

import { mount } from '@vue/test-utils'
import SelectProfileView from '../SelectProfileView.vue'

describe('Select profile', () => {
  it('renders properly', () => {
    const wrapper = mount(SelectProfileView)
    expect(wrapper.text()).toContain('Hvem bruker appen?')
    expect(wrapper.text()).toContain('+')
  })

  it('loads with one profile', () => {
    const wrapper = mount(SelectProfileView, {
        data() {
          return {
            profiles: [{
                id: -1,
                name: "test",
                profileImageUrl: "",
            }]
          }
        }
      })
    expect(wrapper.text()).toContain("test")

  })
})